%define builtin_release_version 5.2
%define builtin_release_name Lederman
%define builtin_release_variant SLF
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
Summary: Scientific Linux Fermi release notes files
Name: Fermi-release-notes
Version: %{real_release_version}
Release: 1
License: GPL
Group: System Environment/Base
Source: Fermi-release-notes-%{builtin_release_version}.tar.gz
Obsoletes: indexhtml sl-release-notes redhat-release-notes
BuildRoot: %{_tmppath}/redhat-release-notes-root
Provides: indexhtml
Provides: redhat-release-notes sl-release-notes
BuildArchitectures: noarch
Epoch: 31

%description
Scientific Linux Fermi release notes files.

%prep
%setup -q -n Fermi-release-notes-%{builtin_release_version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
cp -rf  $RPM_BUILD_DIR/Fermi-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}/.

## Install the latest SLF.release notes
if [ -f /mnt/src/slf5rolling/i386/sites/Fermi/Fermi.releasenote ] ; then
	install -m 644 /mnt/src/slf5rolling/i386/sites/Fermi/Fermi.releasenote $RPM_BUILD_DIR/%{name}-%{builtin_release_version}/Fermi.releasenote.%{version}.i386
fi
if [ -f /mnt/src/slf5rolling/x86_64/sites/Fermi/Fermi.releasenote ] ; then
	install -m 644 /mnt/src/slf5rolling/x86_64/sites/Fermi/Fermi.releasenote $RPM_BUILD_DIR/%{name}-%{builtin_release_version}/Fermi.releasenote.%{version}.x86_64
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc R*
%doc SL*
%doc Fermi*
%{_defaultdocdir}/HTML

%changelog
* Fri Jun 27 2008 Troy Dawson <dawson@fnal.gov> 5.2-1
- updated to the released release notes

* Tue Jun 03 2008 Troy Dawson <dawson@fnal.gov> 5.2-0.1.rolling
- Moved everything to 5.2
- Added vendors Update 2 release notes, unaltered
- Added SL 5.1 release notes

* Fri Apr 20 2007 Troy Dawson <dawson@fnal.gov> 5.0-4
- Added the SL release notes, so it always gets the latest version

* Tue Mar 27 2007 Troy Dawson <dawson@fnal.gov> 5.0-3
- updated release notes and readme's to the final version

* Thu Dec 21 2006 Troy Dawson <dawson@fnal.gov> 5.0-1
- Fixed HTML area - web page was pointing to the wrong image
- Made it a no-arch

